export interface User {
  id: number | null;
  role_id: UserRole | null;
  email: string | null;
  name: string | null;
  preferredUsername: string | null;
  status: string | null;
}

export interface FormUser extends User {
  password?: string;
  confirmPassword?: string;
}

export enum UserRole {
  Admin = '1',
  User = '2',
}

export interface UserApiRequest {
  id: number | null;
  email: string;
  name: string;
  status: string;
}
